<div ng-controller="UmbracoForms.Editors.Form.CopyController">
  <div class="umb-dialog-body with-footer">
    <div class="umb-pane">
      <h5><i class="icon icon-autofill"></i> Copying form '{{ currentNode.name }}'</h5>

      <umb-control-group label="Enter a name for the copied form" hide-label="false">
        <input type="text" name="folderName" maxlength="255" ng-model="copiedForm.name" class="umb-textstring textstring input-block-level" umb-auto-focus required />
      </umb-control-group>

      <umb-checkbox model="copiedForm.copyWorkflows" text="Also copy workflows?"></umb-checkbox>

      <div ng-if="foldersSupported">

        <umb-control-group>
          <umb-checkbox model="copiedForm.copyToNewFolder" text="Copy to a new folder?"></umb-checkbox>
        </umb-control-group>

        <umb-control-group label="Select the location for copied form" hide-label="false" ng-show="copiedForm.copyToNewFolder">
          <umb-tree section="forms"
                    treealias="form"
                    customtreeparams="foldersonly=1"
                    hideheader="false"
                    hideoptions="true"
                    isdialog="true"
                    api="dialogTreeApi"
                    on-init="onTreeInit()"
                    enablecheckboxes="true">
          </umb-tree>
        </umb-control-group>

      </div>
    </div>
  </div>

  <div class="umb-dialog-footer btn-toolbar umb-btn-toolbar">
    <a class="btn btn-link" ng-click="cancelCopy()">
      <localize key="general_cancel">Cancel</localize>
    </a>
    <button class="btn btn-primary" ng-click="copyForm(currentNode.id)">
      <localize key="actions_copy">Copy</localize>
    </button>
  </div>
</div>
